# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "Files"
	FontPath	"/usr/share/X11/fonts/100dpi/:unscaled"
	FontPath	"/usr/share/X11/fonts/75dpi/:unscaled"
	FontPath	"/usr/share/X11/fonts/100dpi"
	FontPath	"/usr/share/X11/fonts/75dpi"
	# path to defoma fonts
	FontPath	"/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load	"i2c"
	Load	"bitmap"
	Load	"ddc"
	Load	"dri"
	Load	"extmod"
	Load	"freetype"
	Load	"glx"
	Load	"int10"
	Load	"v4l"
	Load	"vbe"
EndSection

Section "InputDevice"
	Identifier	"Generic Keyboard"
	Driver		"kbd"
	Option		"CoreKeyboard"
	Option		"XkbRules"	"xorg"
	Option		"XkbModel"	"pc105"
	Option		"XkbLayout"	"ch"
	Option		"XkbVariant"	"fr"
EndSection

Section "InputDevice"
	Identifier	"Configured Mouse"
	Driver		"mouse"
	Option		"CorePointer"
	Option		"Device"		"/dev/input/mice"
	Option		"Protocol"		"ExplorerPS/2"
	Option		"ZAxisMapping"		"4 5"
	Option		"Emulate3Buttons"	"true"
EndSection

Section "Device"
	Identifier	"EPIA VIA"
	Driver		"via"
	BusID		"PCI:1:0:0"
	Option "EnableAGPDMA" "true"
	Option "ActiveDevice" "CRT LCD"
	#	Option "TVType" "PAL"
	#	Option "TVOutput" "S-Video"
	Option "VBEModes" "true"
	Option "PanelSize"  "1920x1080"
EndSection

Section "Monitor"
	Identifier	"BenQ FP937s+"
	Option		"DPMS"
	HorizSync	30-65
	VertRefresh	30-60
EndSection

Section "Monitor"
	Identifier  "Sharp LCD HDTV"
        HorizSync    10.0 - 80.0
        VertRefresh  10.0 - 75.0
	
	DisplaySize 510 287
	
	ModeLine "1080p"   148.50   1920 2012 2068 2200   1080 1082 1088 1125
	ModeLine "1080i" 74.52 1920 1952 2016 2208 1080 1084 1096 1126 interlace
	ModeLine "720p" 73.825 1280 1320 1368 1640 720 722 724 751
	
	Option "ReducedBlanking" "TRUE"
	Option "ExactModeTimingsDVI" "TRUE"
	Option "ModeValidation" "NoDFPNativeResolutionCheck"
EndSection

Section "Screen"
	Identifier	"Default Screen"
	Device		"EPIA VIA"
	# Monitor		"BenQ FP937s+"
	Monitor		"Sharp LCD HDTV"
	DefaultDepth	24
	SubSection "Display"
		Depth		1
		Modes		"1080p" "1080i" "720p"
		#Modes		"1280x768" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		4
		Modes		"1080p" "1080i" "720p"
		#Modes		"1280x768" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		8
		Modes		"1080p" "1080i" "720p"
		#Modes		"1280x768" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		15
		Modes		"1080p" "1080i" "720p"
		#Modes		"1280x768" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		16
		Modes		"1080p" "1080i" "720p"
		#Modes		"1280x768" "1024x768" "800x600" "640x480"
	EndSubSection
	SubSection "Display"
		Depth		24
		Modes		"1080p" "1080i" "720p"
		#Modes		"1280x768" "1024x768" "800x600" "640x480"
	EndSubSection
EndSection

Section "ServerLayout"
	Identifier	"Default Layout"
	Screen		"Default Screen"
	InputDevice	"Generic Keyboard"
	InputDevice	"Configured Mouse"
EndSection

Section "DRI"
	Mode	0666
EndSection
